Subject: Re: bug#15814: bootstrap fails due to recent cl-symbol-macrolet patch

From: Nathan Trapuzzano <[email-masked]>
Date: Thu, 07 Nov 2013 07:58:32 -0500

Paul Eggert <[email-masked]> writes:

> Unfortunately that patch seems to have broken 'make bootstrap'.
> The problem first appeared in trunk bzr 115013.

It looks like the offending change from that patch was the line in the
cl--block-wrapper definition.  I'm not sure if Stefan meant to include
that line or just forgot to clean his directory before intsalling the
patch.

Either way, it's not really clear why it broke anything.  The only thing
I can think of is macroexp-progn assumes its argument satisfies listp
and calls cdr on it, which would cause a compile-time error.  Whereas
without the patch, there would have been (progn . ATOM), an error that
wouldn't have been detected at build time (so far as I know).